<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title xmlns:d="http://docbook.org/ns/docbook">O Manual do Administrador Debian</title><link rel="stylesheet" type="text/css" href="Common_Content/css/default.css" /><link rel="stylesheet" media="print" href="Common_Content/css/print.css" type="text/css" /><meta xmlns:d="http://docbook.org/ns/docbook" name="generator" content="publican v4.3.2" /><meta xmlns:d="http://docbook.org/ns/docbook" name="package" content="Debian-debian-handbook-10-pt-BR-1.0-1" /><meta name="description" content="Um livro de referência apresentando a distribuição Debian, da instalação inicial até a configuração de serviços." /><link rel="home" href="index.html" title="O Manual do Administrador Debian" /><link rel="next" href="preface.html" title="Prefácio" /><meta xmlns="" name="flattr:id" content="4pz9jq" /><link xmlns="" rel="canonical" href="https://debian-handbook.info/browse/pt-BR/stable/" /></head><body><div id="banner"><a href="http://debian-handbook.info/get/"><span class="text">Download the ebook</span></a></div><p id="title"><a class="left" href="http://www.debian.org"><img alt="Product Site" src="Common_Content/images//image_left.png" /></a><a class="right" href="index.html"><img alt="Documentation Site" src="Common_Content/images//image_right.png" /></a></p><ul class="docnav top"><li class="previous"></li><li class="home">O Manual do Administrador Debian</li><li class="next"><a accesskey="n" href="preface.html"><strong>Próxima</strong></a></li></ul><div xml:lang="pt-BR" class="book" lang="pt-BR"><div class="titlepage"><div><div class="producttitle"><span xmlns:d="http://docbook.org/ns/docbook" class="productname">Debian</span> <span xmlns:d="http://docbook.org/ns/docbook" class="productnumber">10</span></div><div><h1 class="title"><a id="the-debian-administrators-handbook"></a>O Manual do Administrador Debian</h1></div><div><h2 class="subtitle">Debian Buster from Discovery to Mastery</h2></div><p xmlns:d="http://docbook.org/ns/docbook" class="edition">Edição 1</p><div><div xml:lang="pt-BR" class="authorgroup" lang="pt-BR"><div class="author"><h3 class="author"><span class="firstname">Raphaël</span> <span class="surname">Hertzog</span></h3><code class="email"><a class="email" href="mailto:hertzog@debian.org">hertzog@debian.org</a></code></div><div class="author"><h3 class="author"><span class="firstname">Roland</span> <span class="surname">Mas</span></h3><code class="email"><a class="email" href="mailto:lolando@debian.org">lolando@debian.org</a></code></div></div></div><div><p class="copyright">Copyright © 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020 Raphaël Hertzog</p></div><div><p class="copyright">Copyright © 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015 Roland Mas</p></div><div><p class="copyright">Copyright © 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020 Freexian SARL</p></div><div><div class="legalnotice"><a id="id-1.1.9"></a><h1 class="legalnotice">Nota Legal</h1><div class="para">
			ISBN: 979-10-91414-19-7 (English paperback)
		</div><div class="para">
			ISBN: 979-10-91414-20-3 (English ebook)
		</div><div class="para">
			Este livro está disponível sob os termos de duas licenças compatíveis com a Definição Debian de Software Livre.
		</div><div class="para"><div xmlns:d="http://docbook.org/ns/docbook" class="title">Nota da Licença Creative Commons:</div>
				This book is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License. <div xmlns="" class="url">→ <a xmlns="http://www.w3.org/1999/xhtml" href="https://creativecommons.org/licenses/by-sa/3.0/">https://creativecommons.org/licenses/by-sa/3.0/</a></div>
			</div><div class="para"><div xmlns:d="http://docbook.org/ns/docbook" class="title">Nota da Licença Pública Geral da GNU:</div>
				Este livro é documentação livre; você pode redistribuí-lo e/ou modificá-lo dentro dos termos da Licença Pública Geral GNU como publicada pela Fundação do Software Livre, tanto na versão 2 da Licença, ou (por opção sua) qualquer versão posterior.
			</div><div class="para">
			Este livro é distribuído na esperança de que ele seja útil, mas SEM QUALQUER GARANTIA; nem mesmo a garantia implícita de COMERCIALIZAÇÃO ou ADEQUAÇÃO PARA UM PROPÓSITO PARTICULAR. Veja a Licença Pública Geral GNU para mais detalhes.
		</div><div class="para">
			You should have received a copy of the GNU General Public License along with this program. If not, see <a href="https://www.gnu.org/licenses/">https://www.gnu.org/licenses/</a>.
		</div><div xmlns:d="http://docbook.org/ns/docbook" class="important"><div class="admonition_header"><p><strong>Mostre sua apreciação</strong></p></div><div class="admonition"><div class="para">
				This book is published under a free license because we want everybody to benefit from it. That said maintaining it takes time and lots of effort, and we appreciate being thanked for this. If you find this book valuable, please consider contributing to its continued maintenance either by buying a paperback copy or by making a donation through the book's official website: <div xmlns="" class="url">→ <a xmlns="http://www.w3.org/1999/xhtml" href="https://debian-handbook.info">https://debian-handbook.info</a></div>
			</div></div></div></div></div><div><div class="abstract"><p class="title"><strong>Resumo</strong></p><div class="para">
			Um livro de referência apresentando a distribuição Debian, da instalação inicial até a configuração de serviços.
		</div></div></div></div></div><div class="toc"><dl class="toc"><dt><span class="preface"><a href="preface.html">Prefácio</a></span></dt><dt><span class="preface"><a href="foreword.html">Prefácio</a></span></dt><dd><dl><dt><span class="section"><a href="foreword.html#sect.why-this-book">1. Por que este Livro?</a></span></dt><dt><span class="section"><a href="sect.who-is-this-book-for.html">2. Para quem é este Livro?</a></span></dt><dt><span class="section"><a href="sect.selected-approach.html">3. Abordagem Geral</a></span></dt><dt><span class="section"><a href="sect.book-structure.html">4. Estrutura do Livro</a></span></dt><dt><span class="section"><a href="sect.contributing.html">5. Contributing</a></span></dt><dt><span class="section"><a href="sect.acknowledgments.html">6. Agradecimentos</a></span></dt><dd><dl><dt><span class="section"><a href="sect.acknowledgments.html#id-1.3.10.2">6.1. Um pouco de História</a></span></dt><dt><span class="section"><a href="sect.acknowledgments.html#id-1.3.10.3">6.2. Um Especial Agradecimento aos Colaboradores</a></span></dt><dt><span class="section"><a href="sect.acknowledgments.html#id-1.3.10.4">6.3. Obrigado Tradutores</a></span></dt><dt><span class="section"><a href="sect.acknowledgments.html#id-1.3.10.5">6.4. Agradecimentos pessoais de Raphaël</a></span></dt><dt><span class="section"><a href="sect.acknowledgments.html#id-1.3.10.6">6.5. Agradecimentos pessoais de Roland</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="the-debian-project.html">1. O Projeto Debian</a></span></dt><dd><dl><dt><span class="section"><a href="the-debian-project.html#sect.what-is-debian">1.1. O que é Debian?</a></span></dt><dd><dl><dt><span class="section"><a href="the-debian-project.html#id-1.4.4.8">1.1.1. Um Sistema Operacional Multi-Plataforma</a></span></dt><dt><span class="section"><a href="the-debian-project.html#id-1.4.4.9">1.1.2. A Qualidade do Software Livre</a></span></dt><dt><span class="section"><a href="the-debian-project.html#id-1.4.4.10">1.1.3. O Arranjo Legal: Uma Organização Não-Lucrativa</a></span></dt></dl></dd><dt><span class="section"><a href="sect.foundation-documents.html">1.2. Os Documentos da fundação</a></span></dt><dd><dl><dt><span class="section"><a href="sect.foundation-documents.html#sect.social-contract">1.2.1. O Compromisso com os Usuários</a></span></dt><dt><span class="section"><a href="sect.foundation-documents.html#sect.dfsg">1.2.2. A Definição Debian de Software Livre</a></span></dt></dl></dd><dt><span class="section"><a href="sect.debian-internals.html">1.3. O Funcionamento interno do Projeto Debian</a></span></dt><dd><dl><dt><span class="section"><a href="sect.debian-internals.html#id-1.4.6.5">1.3.1. Os Desenvolvedores Debian</a></span></dt><dt><span class="section"><a href="sect.debian-internals.html#id-1.4.6.6">1.3.2. O Papel Ativo dos Usuários</a></span></dt><dt><span class="section"><a href="sect.debian-internals.html#id-1.4.6.7">1.3.3. Equipes e Sub-Projetos</a></span></dt></dl></dd><dt><span class="section"><a href="sect.follow-debian-news.html">1.4. Siga as notícias do Debian</a></span></dt><dt><span class="section"><a href="sect.role-of-distributions.html">1.5. O Papel das Distribuições</a></span></dt><dd><dl><dt><span class="section"><a href="sect.role-of-distributions.html#id-1.4.8.4">1.5.1. O Instalador: <code class="command">debian-installer</code></a></span></dt><dt><span class="section"><a href="sect.role-of-distributions.html#id-1.4.8.5">1.5.2. A Biblioteca de Software</a></span></dt></dl></dd><dt><span class="section"><a href="sect.release-lifecycle.html">1.6. Ciclo de vida de um Lançamento</a></span></dt><dd><dl><dt><span class="section"><a href="sect.release-lifecycle.html#id-1.4.9.11">1.6.1. O Estado <span class="distribution distribution">Experimental</span></a></span></dt><dt><span class="section"><a href="sect.release-lifecycle.html#id-1.4.9.12">1.6.2. O Estado <span class="distribution distribution">Instável</span></a></span></dt><dt><span class="section"><a href="sect.release-lifecycle.html#id-1.4.9.13">1.6.3. Migração para <span class="distribution distribution">Teste</span></a></span></dt><dt><span class="section"><a href="sect.release-lifecycle.html#id-1.4.9.14">1.6.4. A Promoção de <span class="distribution distribution">Teste </span> para <span class="distribution distribution"> Estável </span></a></span></dt><dt><span class="section"><a href="sect.release-lifecycle.html#id-1.4.9.15">1.6.5. O Status <span class="distribution distribution">Estável Antiga </span> e <span class="distribution distribution">Estável Antiga Antiga </span></a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="case-study.html">2. Apresentando o Estudo de Caso</a></span></dt><dd><dl><dt><span class="section"><a href="case-study.html#sect.fast-growing-it-needs">2.1. Crescimento Rápidos das Necessidades de TI</a></span></dt><dt><span class="section"><a href="sect.master-plan.html">2.2. Plano Estratégico</a></span></dt><dt><span class="section"><a href="sect.why-gnu-linux.html">2.3. Por que uma Distribuição GNU/Linux?</a></span></dt><dt><span class="section"><a href="sect.why-debian.html">2.4. Por que a Distribuição Debian?</a></span></dt><dd><dl><dt><span class="section"><a href="sect.why-debian.html#id-1.5.8.5">2.4.1. Distribuições Dirigidas Comercialmente e por uma Comunidade</a></span></dt></dl></dd><dt><span class="section"><a href="sect.why-debian-stable.html">2.5. Why Debian Buster?</a></span></dt></dl></dd><dt><span class="chapter"><a href="existing-setup.html">3. Analisando a Configuração Existente e Migrando</a></span></dt><dd><dl><dt><span class="section"><a href="existing-setup.html#sect.heterogeneous-environments">3.1. Coexistência em Ambientes Heterogêneos</a></span></dt><dd><dl><dt><span class="section"><a href="existing-setup.html#id-1.6.4.4">3.1.1. Integração com Máquinas Windows</a></span></dt><dt><span class="section"><a href="existing-setup.html#id-1.6.4.5">3.1.2. Integração com máquinas OS X</a></span></dt><dt><span class="section"><a href="existing-setup.html#id-1.6.4.6">3.1.3. Integração com Outras Máquinas Linux/Unix</a></span></dt></dl></dd><dt><span class="section"><a href="sect.how-to-migrate.html">3.2. Como Migrar</a></span></dt><dd><dl><dt><span class="section"><a href="sect.how-to-migrate.html#id-1.6.5.4">3.2.1. Pesquisar e Identificar Serviços</a></span></dt><dt><span class="section"><a href="sect.how-to-migrate.html#id-1.6.5.5">3.2.2. Fazendo Backup da Configuração</a></span></dt><dt><span class="section"><a href="sect.how-to-migrate.html#id-1.6.5.6">3.2.3. Assumindo um servidor Debian existente</a></span></dt><dt><span class="section"><a href="sect.how-to-migrate.html#id-1.6.5.7">3.2.4. Instalando o Debian</a></span></dt><dt><span class="section"><a href="sect.how-to-migrate.html#id-1.6.5.8">3.2.5. Instalando e Configurando os Serviços Selecionados</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="installation.html">4. Instalação</a></span></dt><dd><dl><dt><span class="section"><a href="installation.html#sect.installation-methods">4.1. Métodos de Instalação</a></span></dt><dd><dl><dt><span class="section"><a href="installation.html#sect.install-cd">4.1.1. Instalando a partir do CD-ROM/DVD-ROM</a></span></dt><dt><span class="section"><a href="installation.html#sect.install-usb">4.1.2. Iniciando a partir de um pendrive</a></span></dt><dt><span class="section"><a href="installation.html#sect.install-net">4.1.3. Instalando via inicialização pela rede</a></span></dt><dt><span class="section"><a href="installation.html#sect.install-auto">4.1.4. Outros métodos de instalação</a></span></dt></dl></dd><dt><span class="section"><a href="sect.installation-steps.html">4.2. Instalando, Passo a Passo</a></span></dt><dd><dl><dt><span class="section"><a href="sect.installation-steps.html#sect.install-boot">4.2.1. Ligando e iniciando o Instalador</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-lang">4.2.2. Selecionando o idioma</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-country">4.2.3. Selecionando o país</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-keyboard">4.2.4. Selecionando o padrão do teclado</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-detect-hardware">4.2.5. Detectando o Hardware</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-load-components">4.2.6. Carregando componentes</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-detect-network">4.2.7. Detectando Dispositivos de Rede</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-network-config">4.2.8. Configurando a Rede</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#id-1.7.12.10">4.2.9. Senha do administrador</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#id-1.7.12.11">4.2.10. Criando o Primeiro Usuário</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-clock-config">4.2.11. Configurando o relógio</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-detect-disks">4.2.12. Detectando Discos e Outros Dispositivos</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.install-partman">4.2.13. Iniciando a Ferramenta de Partição</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#id-1.7.12.15">4.2.14. Instalando o Sistema Básico</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#id-1.7.12.16">4.2.15. Configurando o Gerenciador de Pacote (<code class="command">apt</code>)</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#id-1.7.12.17">4.2.16. Concurso de Popularidade de Pacotes Debian</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#id-1.7.12.18">4.2.17. Selecionando Pacotes para a Instalação</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#sect.installing-grub">4.2.18. Instalando o carregador de boot GRUB</a></span></dt><dt><span class="section"><a href="sect.installation-steps.html#id-1.7.12.20">4.2.19. Finalizando a instalação e reiniciando</a></span></dt></dl></dd><dt><span class="section"><a href="sect.after-first-boot.html">4.3. Depois do primeiro Boot</a></span></dt><dd><dl><dt><span class="section"><a href="sect.after-first-boot.html#id-1.7.13.5">4.3.1. Instalando Software adicional</a></span></dt><dt><span class="section"><a href="sect.after-first-boot.html#id-1.7.13.6">4.3.2. Atualizando o sistema</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="packaging-system.html">5. Sistema de Pacotes: Ferramentas e Princípios Fundamentais</a></span></dt><dd><dl><dt><span class="section"><a href="packaging-system.html#sect.binary-package-structure">5.1. Estrutura de um Pacote Binário</a></span></dt><dt><span class="section"><a href="sect.package-meta-information.html">5.2. Metainformação do Pacote</a></span></dt><dd><dl><dt><span class="section"><a href="sect.package-meta-information.html#sect.control">5.2.1. Descrição: O arquivo <code class="filename">control</code></a></span></dt><dt><span class="section"><a href="sect.package-meta-information.html#sect.configuration-scripts">5.2.2. Scripts de Configuração</a></span></dt><dt><span class="section"><a href="sect.package-meta-information.html#sect.conffiles">5.2.3. Checksums, Lista de arquivos de configuração</a></span></dt></dl></dd><dt><span class="section"><a href="sect.source-package-structure.html">5.3. Estrutura de um Pacote Fonte</a></span></dt><dd><dl><dt><span class="section"><a href="sect.source-package-structure.html#id-1.8.7.4">5.3.1. Formato</a></span></dt><dt><span class="section"><a href="sect.source-package-structure.html#id-1.8.7.5">5.3.2. Uso no Debian</a></span></dt></dl></dd><dt><span class="section"><a href="sect.manipulating-packages-with-dpkg.html">5.4. Manipulando Pacotes com o <code class="command">dpkg</code></a></span></dt><dd><dl><dt><span class="section"><a href="sect.manipulating-packages-with-dpkg.html#id-1.8.8.5">5.4.1. Instalando pacotes</a></span></dt><dt><span class="section"><a href="sect.manipulating-packages-with-dpkg.html#id-1.8.8.6">5.4.2. Remoção de pacote</a></span></dt><dt><span class="section"><a href="sect.manipulating-packages-with-dpkg.html#sect.dpkg-list">5.4.3. Consultando o banco de dados do <code class="command">dpkg</code> e inspecionando os arquivos <code class="filename">.deb</code></a></span></dt><dt><span class="section"><a href="sect.manipulating-packages-with-dpkg.html#sect.dpkg-log">5.4.4. Arquivo de log do <code class="command">dpkg</code></a></span></dt><dt><span class="section"><a href="sect.manipulating-packages-with-dpkg.html#sect.multi-arch">5.4.5. Suporte Multi-Arqu</a></span></dt></dl></dd><dt><span class="section"><a href="sect.coexistence-with-other-packaging-systems.html">5.5. Coexistencia com outros sistemas de pacotes</a></span></dt></dl></dd><dt><span class="chapter"><a href="apt.html">6. Manutenções e atualizações: As ferramentas APT</a></span></dt><dd><dl><dt><span class="section"><a href="apt.html#sect.apt-sources.list">6.1. Preenchendo no arquivo <code class="filename">sources.list</code> Arquivo</a></span></dt><dd><dl><dt><span class="section"><a href="apt.html#id-1.9.16.7">6.1.1. Sintaxe</a></span></dt><dt><span class="section"><a href="apt.html#sect.apt-sources.list.stable">6.1.2. Repositórios para usuários <span class="distribution distribution">Estáveis</span></a></span></dt><dt><span class="section"><a href="apt.html#sect.apt-sources.list.testing">6.1.3. Repositórios para usuários <span class="distribution distribution">Testing</span>/<span class="distribution distribution">Unstable</span> Users</a></span></dt><dt><span class="section"><a href="apt.html#sect.apt-sources.list.cdn">6.1.4. Using Alternate Mirrors</a></span></dt><dt><span class="section"><a href="apt.html#sect.apt-sources.list.mentors">6.1.5. Recursos não oficiais: <code class="literal">mentors.debian.net</code></a></span></dt><dt><span class="section"><a href="apt.html#sect.apt-sources.list.cache-proxy">6.1.6. Proxy Cache para os pacotes Debian</a></span></dt></dl></dd><dt><span class="section"><a href="sect.apt-get.html">6.2. Comandos <code class="command">aptitude</code>, <code class="command">apt-get</code> e <code class="command">apt</code></a></span></dt><dd><dl><dt><span class="section"><a href="sect.apt-get.html#id-1.9.17.8">6.2.1. Initialização</a></span></dt><dt><span class="section"><a href="sect.apt-get.html#sect.apt.install">6.2.2. Instalação e remoção</a></span></dt><dt><span class="section"><a href="sect.apt-get.html#sect.apt-upgrade">6.2.3. Atualização do sistema</a></span></dt><dt><span class="section"><a href="sect.apt-get.html#sect.apt-config">6.2.4. Opções de configuração</a></span></dt><dt><span class="section"><a href="sect.apt-get.html#sect.apt.priorities">6.2.5. Gerenciar prioridades de pacote</a></span></dt><dt><span class="section"><a href="sect.apt-get.html#sect.apt-mix-distros">6.2.6. Trabalhando com Distribuições Diversas</a></span></dt><dt><span class="section"><a href="sect.apt-get.html#sect.automatic-tracking">6.2.7. Rastreando Pacotes Instalados Automaticamente</a></span></dt></dl></dd><dt><span class="section"><a href="sect.apt-cache.html">6.3. O Comando <code class="command">apt-cache</code></a></span></dt><dt><span class="section"><a href="sect.apt-file.html">6.4. The <code class="command">apt-file</code> Command</a></span></dt><dt><span class="section"><a href="sect.apt-frontends.html">6.5. Interfaces: <code class="command">aptitude</code>, <code class="command">synaptic</code></a></span></dt><dd><dl><dt><span class="section"><a href="sect.apt-frontends.html#sect.aptitude">6.5.1. <code class="command">aptitude</code></a></span></dt><dt><span class="section"><a href="sect.apt-frontends.html#id-1.9.20.7">6.5.2. <code class="command">synaptic</code></a></span></dt></dl></dd><dt><span class="section"><a href="sect.package-authentication.html">6.6. Verificando Autenticidade do Pacote</a></span></dt><dt><span class="section"><a href="sect.dist-upgrade.html">6.7. Atualizando de uma Versão Estável para a Próxima</a></span></dt><dd><dl><dt><span class="section"><a href="sect.dist-upgrade.html#id-1.9.22.6">6.7.1. Procedimento Recomendado</a></span></dt><dt><span class="section"><a href="sect.dist-upgrade.html#sect.dist-upgrade-problems">6.7.2. Lidando com Problemas após uma Atualização</a></span></dt><dt><span class="section"><a href="sect.dist-upgrade.html#id-1.9.22.8">6.7.3. Cleaning Up after an Upgrade</a></span></dt></dl></dd><dt><span class="section"><a href="sect.regular-upgrades.html">6.8. Mantendo um Sistema Atualizado</a></span></dt><dt><span class="section"><a href="sect.automatic-upgrades.html">6.9. Atualizações Automáticas</a></span></dt><dd><dl><dt><span class="section"><a href="sect.automatic-upgrades.html#id-1.9.24.5">6.9.1. Configurando <code class="command">dpkg</code></a></span></dt><dt><span class="section"><a href="sect.automatic-upgrades.html#id-1.9.24.6">6.9.2. Configurando APT</a></span></dt><dt><span class="section"><a href="sect.automatic-upgrades.html#id-1.9.24.7">6.9.3. Configurando <code class="command">debconf</code></a></span></dt><dt><span class="section"><a href="sect.automatic-upgrades.html#id-1.9.24.8">6.9.4. Lidando com Interações Via Linha de Comando</a></span></dt><dt><span class="section"><a href="sect.automatic-upgrades.html#id-1.9.24.9">6.9.5. A Combinação Miraculosa</a></span></dt></dl></dd><dt><span class="section"><a href="sect.searching-packages.html">6.10. Buscando por Pacotes</a></span></dt></dl></dd><dt><span class="chapter"><a href="solving-problems.html">7. Resolvendo Problemas e Encontrando Informações Relevantes</a></span></dt><dd><dl><dt><span class="section"><a href="solving-problems.html#sect.documentation-sources">7.1. Fontes de documentação</a></span></dt><dd><dl><dt><span class="section"><a href="solving-problems.html#sect.manual-pages">7.1.1. Páginas de Manual</a></span></dt><dt><span class="section"><a href="solving-problems.html#id-1.10.4.5">7.1.2. Documentos de <span class="emphasis"><em>info</em></span></a></span></dt><dt><span class="section"><a href="solving-problems.html#id-1.10.4.6">7.1.3. Documentação Específica</a></span></dt><dt><span class="section"><a href="solving-problems.html#id-1.10.4.7">7.1.4. Paginas da Internet</a></span></dt><dt><span class="section"><a href="solving-problems.html#id-1.10.4.8">7.1.5. Tutoriais (<span class="emphasis"><em>HOWTO</em></span>)</a></span></dt></dl></dd><dt><span class="section"><a href="sect.common-procedures.html">7.2. Procedimentos comuns</a></span></dt><dd><dl><dt><span class="section"><a href="sect.common-procedures.html#id-1.10.5.5">7.2.1. Configurando um Programa</a></span></dt><dt><span class="section"><a href="sect.common-procedures.html#id-1.10.5.6">7.2.2. Monitorando o que o Daemons esta fazendo</a></span></dt><dt><span class="section"><a href="sect.common-procedures.html#id-1.10.5.7">7.2.3. Pedindo ajuda em uma lista</a></span></dt><dt><span class="section"><a href="sect.common-procedures.html#id-1.10.5.8">7.2.4. Reportando um Bug Quando um Problema É Muito Dificil</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="basic-configuration.html">8. Configuração Básica: Rede, Contas, Impressão...</a></span></dt><dd><dl><dt><span class="section"><a href="basic-configuration.html#sect.config-language-support">8.1. Configurando o Sistema para Outra Língua</a></span></dt><dd><dl><dt><span class="section"><a href="basic-configuration.html#sect.default-language">8.1.1. Definindo a Língua Padrão</a></span></dt><dt><span class="section"><a href="basic-configuration.html#sect.keyboard-config">8.1.2. Configurando o Teclado</a></span></dt><dt><span class="section"><a href="basic-configuration.html#sect.utf8-migration">8.1.3. Migrando para UTF-8</a></span></dt></dl></dd><dt><span class="section"><a href="sect.network-config.html">8.2. Configurando a Rede</a></span></dt><dd><dl><dt><span class="section"><a href="sect.network-config.html#sect.interface-ethernet">8.2.1. Interface de Rede</a></span></dt><dt><span class="section"><a href="sect.network-config.html#sect.interface-wireless">8.2.2. Wireless Interface</a></span></dt><dt><span class="section"><a href="sect.network-config.html#sect.ppp-rtc">8.2.3. Conectando com PPP através de um modem PSTN</a></span></dt><dt><span class="section"><a href="sect.network-config.html#sect.adsl">8.2.4. Conectando através de um modem ADSL</a></span></dt><dt><span class="section"><a href="sect.network-config.html#sect.roaming-network-config">8.2.5. Configuração Automática de Rede para Usuários em Roaming</a></span></dt></dl></dd><dt><span class="section"><a href="sect.hostname-name-service.html">8.3. Ajustando o Nome de Host e Configurando o Serviço de Nomes</a></span></dt><dd><dl><dt><span class="section"><a href="sect.hostname-name-service.html#sect.name-resolution">8.3.1. Resolução de Nome</a></span></dt></dl></dd><dt><span class="section"><a href="sect.user-group-databases.html">8.4. Usuário e grupo bancos de dados</a></span></dt><dd><dl><dt><span class="section"><a href="sect.user-group-databases.html#sect.etc-passwd">8.4.1. Lista de Usuários: <code class="filename">/etc/passwd</code></a></span></dt><dt><span class="section"><a href="sect.user-group-databases.html#sect.etc-shadow">8.4.2. O Oculto e Criptografo Arquivo de Senhas: <code class="filename">/etc/shadow</code></a></span></dt><dt><span class="section"><a href="sect.user-group-databases.html#sect.account-modification">8.4.3. Modificando uma Conta de Usuário Existente ou Senha</a></span></dt><dt><span class="section"><a href="sect.user-group-databases.html#sect.disabling-account">8.4.4. Desabilitando uma Conta</a></span></dt><dt><span class="section"><a href="sect.user-group-databases.html#sect.etc-group">8.4.5. Lista de Grupo: <code class="filename">/etc/group</code></a></span></dt></dl></dd><dt><span class="section"><a href="sect.creating-accounts.html">8.5. Criação de Contas</a></span></dt><dt><span class="section"><a href="sect.shell-environment.html">8.6. Ambiente Shell</a></span></dt><dt><span class="section"><a href="sect.config-printing.html">8.7. Configuração da Impressora</a></span></dt><dt><span class="section"><a href="sect.config-bootloader.html">8.8. Configurando o carregador de boot (bootloader)</a></span></dt><dd><dl><dt><span class="section"><a href="sect.config-bootloader.html#sect.identify-disks">8.8.1. Identificando os Discos</a></span></dt><dt><span class="section"><a href="sect.config-bootloader.html#sect.config-lilo">8.8.2. Configurando o LILO</a></span></dt><dt><span class="section"><a href="sect.config-bootloader.html#sect.config-grub">8.8.3. Configuração do GRUB 2</a></span></dt></dl></dd><dt><span class="section"><a href="sect.config-misc.html">8.9. Outras Configurações: Sincronização de tempo, Logs, Compartilhando acesso…</a></span></dt><dd><dl><dt><span class="section"><a href="sect.config-misc.html#sect.timezone">8.9.1. Região</a></span></dt><dt><span class="section"><a href="sect.config-misc.html#sect.time-synchronization">8.9.2. Sincronização de Tempo</a></span></dt><dt><span class="section"><a href="sect.config-misc.html#sect.rotation-logs">8.9.3. Rotação de Arquivos de Log</a></span></dt><dt><span class="section"><a href="sect.config-misc.html#sect.sharing-admin-rights">8.9.4. Compartilhando Direitos Administrativos</a></span></dt><dt><span class="section"><a href="sect.config-misc.html#sect.fstab-mount-points">8.9.5. Lista de Pontos de Montagem</a></span></dt><dt><span class="section"><a href="sect.config-misc.html#sect.locate-updatedb">8.9.6. <code class="command">locate</code> e <code class="command">updatedb</code></a></span></dt></dl></dd><dt><span class="section"><a href="sect.kernel-compilation.html">8.10. Compilando o núcleo</a></span></dt><dd><dl><dt><span class="section"><a href="sect.kernel-compilation.html#sect.kernel-compilation-prerequisites">8.10.1. Introdução e Pré-requisitos</a></span></dt><dt><span class="section"><a href="sect.kernel-compilation.html#sect.kernel-sources">8.10.2. Pegando os Fontes</a></span></dt><dt><span class="section"><a href="sect.kernel-compilation.html#sect.config-kernel">8.10.3. Configurando o Núcleo</a></span></dt><dt><span class="section"><a href="sect.kernel-compilation.html#sect.kernel-build">8.10.4. Compilando e Construindo um Pacote</a></span></dt><dt><span class="section"><a href="sect.kernel-compilation.html#sect.modules-build">8.10.5. Compilando Módulos Externos</a></span></dt><dt><span class="section"><a href="sect.kernel-compilation.html#sect.kernel-patch">8.10.6. Aplicando um Patch ao Núcleo</a></span></dt></dl></dd><dt><span class="section"><a href="sect.kernel-installation.html">8.11. Instalando o Núcleo</a></span></dt><dd><dl><dt><span class="section"><a href="sect.kernel-installation.html#sect.kernel-package">8.11.1. Características do Pacote de Núcleo do Debian</a></span></dt><dt><span class="section"><a href="sect.kernel-installation.html#sect.kernel-installation-with-dpkg">8.11.2. Instalando com <code class="command">dpkg</code></a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="unix-services.html">9. Serviços Unix</a></span></dt><dd><dl><dt><span class="section"><a href="unix-services.html#sect.system-boot">9.1. Inicialização do Sistema</a></span></dt><dd><dl><dt><span class="section"><a href="unix-services.html#sect.systemd">9.1.1. O sistema init systemd</a></span></dt><dt><span class="section"><a href="unix-services.html#sect.sysvinit">9.1.2. O sistema init System V</a></span></dt></dl></dd><dt><span class="section"><a href="sect.remote-login.html">9.2. Login remoto</a></span></dt><dd><dl><dt><span class="section"><a href="sect.remote-login.html#sect.ssh">9.2.1. Login remoto seguro: SSH</a></span></dt><dt><span class="section"><a href="sect.remote-login.html#sect.remote-desktops">9.2.2. Usando Ambientes Gráficos Remotamente</a></span></dt></dl></dd><dt><span class="section"><a href="sect.rights-management.html">9.3. Gerenciando Direitos</a></span></dt><dt><span class="section"><a href="sect.administration-interfaces.html">9.4. Interfaces Administrativas</a></span></dt><dd><dl><dt><span class="section"><a href="sect.administration-interfaces.html#sect.webmin">9.4.1. Administrando por uma Interface Web: <code class="command">webmin</code></a></span></dt><dt><span class="section"><a href="sect.administration-interfaces.html#sect.debconf">9.4.2. Configurando Pacotes: <code class="command">debconf</code></a></span></dt></dl></dd><dt><span class="section"><a href="sect.syslog.html">9.5. <code class="command">syslog</code> Eventos de Sistema</a></span></dt><dd><dl><dt><span class="section"><a href="sect.syslog.html#sect.syslog-principe">9.5.1. Princípio e Mecanismo</a></span></dt><dt><span class="section"><a href="sect.syslog.html#sect.syslog-config">9.5.2. O Arquivo de Configuração</a></span></dt></dl></dd><dt><span class="section"><a href="sect.inetd.html">9.6. O super servidor <code class="command">inetd</code></a></span></dt><dt><span class="section"><a href="sect.task-scheduling-cron-atd.html">9.7. Agendando Tarefas com <code class="command">cron</code> e <code class="command">atd</code></a></span></dt><dd><dl><dt><span class="section"><a href="sect.task-scheduling-cron-atd.html#sect.format-crontab">9.7.1. Formato do Arquivo <code class="filename">crontab</code></a></span></dt><dt><span class="section"><a href="sect.task-scheduling-cron-atd.html#sect.at-command">9.7.2. Usando o Comando <code class="command">at</code></a></span></dt></dl></dd><dt><span class="section"><a href="sect.asynchronous-task-scheduling-anacron.html">9.8. Agendando Tarefas Assíncronas: <code class="command">anacron</code></a></span></dt><dt><span class="section"><a href="sect.quotas.html">9.9. Cotas</a></span></dt><dt><span class="section"><a href="sect.backup.html">9.10. Backup</a></span></dt><dd><dl><dt><span class="section"><a href="sect.backup.html#id-1.12.13.11">9.10.1. Cópias de segurança com <code class="command">rsync</code></a></span></dt><dt><span class="section"><a href="sect.backup.html#id-1.12.13.12">9.10.2. Restaurando Máquinas sem Cópias de Segurança</a></span></dt></dl></dd><dt><span class="section"><a href="sect.hotplug.html">9.11. Hot Plugging: <span class="emphasis"><em>hotplug</em></span></a></span></dt><dd><dl><dt><span class="section"><a href="sect.hotplug.html#id-1.12.14.2">9.11.1. Introdução</a></span></dt><dt><span class="section"><a href="sect.hotplug.html#id-1.12.14.3">9.11.2. O Problema da nomeação</a></span></dt><dt><span class="section"><a href="sect.hotplug.html#sect.udev">9.11.3. Como o <span class="emphasis"><em>udev</em></span> Funciona</a></span></dt><dt><span class="section"><a href="sect.hotplug.html#id-1.12.14.5">9.11.4. Um exemplo concreto</a></span></dt></dl></dd><dt><span class="section"><a href="sect.power-management.html">9.12. Gerenciamento de Energia: Advanced Configuration and Power Interface (ACPI)</a></span></dt></dl></dd><dt><span class="chapter"><a href="network-infrastructure.html">10. Infraestrutura de Rede</a></span></dt><dd><dl><dt><span class="section"><a href="network-infrastructure.html#sect.gateway">10.1. Gateway</a></span></dt><dt><span class="section"><a href="sect.x509-cert.html">10.2. X.509 certificates</a></span></dt><dd><dl><dt><span class="section"><a href="sect.x509-cert.html#sect.trusted-certs">10.2.1. Creating gratis trusted certificates</a></span></dt><dt><span class="section"><a href="sect.x509-cert.html#sect.easy-rsa">10.2.2. Infraestrutura de Chaves Públicas: <span class="emphasis"><em>easy-rsa</em></span></a></span></dt></dl></dd><dt><span class="section"><a href="sect.virtual-private-network.html">10.3. Rede Privada Virtual</a></span></dt><dd><dl><dt><span class="section"><a href="sect.virtual-private-network.html#sect.openvpn">10.3.1. OpenVPN</a></span></dt><dt><span class="section"><a href="sect.virtual-private-network.html#sect.ssh-vpn">10.3.2. Rede Privada Virtual com SSH</a></span></dt><dt><span class="section"><a href="sect.virtual-private-network.html#sect.ipsec">10.3.3. IPsec</a></span></dt><dt><span class="section"><a href="sect.virtual-private-network.html#sect.pptp">10.3.4. PPTP</a></span></dt></dl></dd><dt><span class="section"><a href="sect.quality-of-service.html">10.4. Qualidade do Serviço</a></span></dt><dd><dl><dt><span class="section"><a href="sect.quality-of-service.html#sect.qos-principe">10.4.1. Princípio e Mecanismo</a></span></dt><dt><span class="section"><a href="sect.quality-of-service.html#sect.qos-config">10.4.2. Configurando e implementando</a></span></dt></dl></dd><dt><span class="section"><a href="sect.dynamic-routing.html">10.5. Roteamento Dinâmico</a></span></dt><dt><span class="section"><a href="sect.ipv6.html">10.6. IPv6</a></span></dt><dd><dl><dt><span class="section"><a href="sect.ipv6.html#sect.ipv6-tunneling">10.6.1. Túneis</a></span></dt></dl></dd><dt><span class="section"><a href="sect.domain-name-servers.html">10.7. Servidores de Nomes de Domínio (DNS)</a></span></dt><dd><dl><dt><span class="section"><a href="sect.domain-name-servers.html#sect.dns-software">10.7.1. DNS software</a></span></dt><dt><span class="section"><a href="sect.domain-name-servers.html#sect.dns-config">10.7.2. Configuring bind</a></span></dt></dl></dd><dt><span class="section"><a href="sect.dhcp.html">10.8. DHCP</a></span></dt><dd><dl><dt><span class="section"><a href="sect.dhcp.html#sect.dhcp-config">10.8.1. Configurando</a></span></dt><dt><span class="section"><a href="sect.dhcp.html#sect.dhcp-dns">10.8.2. DHCP e DNS</a></span></dt></dl></dd><dt><span class="section"><a href="sect.network-diagnosis-tools.html">10.9. Ferramentas de Diagnóstico de Rede</a></span></dt><dd><dl><dt><span class="section"><a href="sect.network-diagnosis-tools.html#sect.netstat">10.9.1. Diagnóstico Local: <code class="command">netstat</code></a></span></dt><dt><span class="section"><a href="sect.network-diagnosis-tools.html#sect.nmap">10.9.2. Diagnóstico Remoto: <code class="command">nmap</code></a></span></dt><dt><span class="section"><a href="sect.network-diagnosis-tools.html#sect.sniffers">10.9.3. Sniffers: <code class="command">tcpdump</code> e <code class="command">wireshark</code></a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="network-services.html">11. Serviços de Rede: Postfix, Apache, NFS, Samba, Squid, LDAP, SIP, XMPP, TURN</a></span></dt><dd><dl><dt><span class="section"><a href="network-services.html#sect.smtp-mail-server">11.1. Servidor de Correio Eletrônico</a></span></dt><dd><dl><dt><span class="section"><a href="network-services.html#id-1.14.4.12">11.1.1. Instalando o Postfix</a></span></dt><dt><span class="section"><a href="network-services.html#sect.configuring-virtual-domains">11.1.2. Configurando Domínios Virtuais</a></span></dt><dt><span class="section"><a href="network-services.html#sect.restrictions-for-receiving-and-sending">11.1.3. Restrições para Recebimento e Envio</a></span></dt><dt><span class="section"><a href="network-services.html#sect.setting-up-greylisting">11.1.4. Configurando "listas cinzas" (<span class="foreignphrase"><em class="foreignphrase">greylisting</em></span>)</a></span></dt><dt><span class="section"><a href="network-services.html#id-1.14.4.16">11.1.5. Personalização de filtros baseados no destinatário</a></span></dt><dt><span class="section"><a href="network-services.html#sect.postfix-antivirus">11.1.6. Integração com um antivírus</a></span></dt><dt><span class="section"><a href="network-services.html#sect.spf-dkim-dmarc">11.1.7. Fighting Spam with SPF, DKIM and DMARC</a></span></dt><dt><span class="section"><a href="network-services.html#sect.authenticated-smtp">11.1.8. SMTP autenticado</a></span></dt></dl></dd><dt><span class="section"><a href="sect.http-web-server.html">11.2. Servidor web (HTTP)</a></span></dt><dd><dl><dt><span class="section"><a href="sect.http-web-server.html#id-1.14.5.9">11.2.1. Instalação do Apache</a></span></dt><dt><span class="section"><a href="sect.http-web-server.html#sect.apache-ssl">11.2.2. Adding support for SSL</a></span></dt><dt><span class="section"><a href="sect.http-web-server.html#id-1.14.5.11">11.2.3. Configuração de servidores virtuais</a></span></dt><dt><span class="section"><a href="sect.http-web-server.html#id-1.14.5.12">11.2.4. Diretivas comuns</a></span></dt><dt><span class="section"><a href="sect.http-web-server.html#id-1.14.5.13">11.2.5. Analisadores de Log</a></span></dt></dl></dd><dt><span class="section"><a href="sect.ftp-file-server.html">11.3. Servidor de Arquivos FTP</a></span></dt><dt><span class="section"><a href="sect.nfs-file-server.html">11.4. Servidor de Arquivos NFS</a></span></dt><dd><dl><dt><span class="section"><a href="sect.nfs-file-server.html#id-1.14.7.14">11.4.1. Proteção do NFS</a></span></dt><dt><span class="section"><a href="sect.nfs-file-server.html#id-1.14.7.15">11.4.2. Servidor NFS</a></span></dt><dt><span class="section"><a href="sect.nfs-file-server.html#id-1.14.7.16">11.4.3. Cliente NFS</a></span></dt></dl></dd><dt><span class="section"><a href="sect.windows-file-server-with-samba.html">11.5. Configurando um Compartilhamento Windows com o Samba</a></span></dt><dd><dl><dt><span class="section"><a href="sect.windows-file-server-with-samba.html#id-1.14.8.13">11.5.1. Servidor Samba</a></span></dt><dt><span class="section"><a href="sect.windows-file-server-with-samba.html#id-1.14.8.14">11.5.2. Cliente Samba</a></span></dt></dl></dd><dt><span class="section"><a href="sect.http-ftp-proxy.html">11.6. Proxy HTTP/FTP</a></span></dt><dd><dl><dt><span class="section"><a href="sect.http-ftp-proxy.html#id-1.14.9.10">11.6.1. Instalando</a></span></dt><dt><span class="section"><a href="sect.http-ftp-proxy.html#id-1.14.9.11">11.6.2. Configurando um Cache</a></span></dt><dt><span class="section"><a href="sect.http-ftp-proxy.html#id-1.14.9.12">11.6.3. Configurando um Filtro</a></span></dt></dl></dd><dt><span class="section"><a href="sect.ldap-directory.html">11.7. Diretório LDAP</a></span></dt><dd><dl><dt><span class="section"><a href="sect.ldap-directory.html#id-1.14.10.7">11.7.1. Instalando</a></span></dt><dt><span class="section"><a href="sect.ldap-directory.html#id-1.14.10.8">11.7.2. Preenchendo o Diretório</a></span></dt><dt><span class="section"><a href="sect.ldap-directory.html#id-1.14.10.9">11.7.3. Gerenciando Contas com LDAP</a></span></dt></dl></dd><dt><span class="section"><a href="sect.rtc-services.html">11.8. Serviços de Comunicação em Tempo Real</a></span></dt><dd><dl><dt><span class="section"><a href="sect.rtc-services.html#sect.rtc-dns-settings">11.8.1. Configurações de DNS para serviços RTC</a></span></dt><dt><span class="section"><a href="sect.rtc-services.html#sect.turn-server">11.8.2. Servidor TURN</a></span></dt><dt><span class="section"><a href="sect.rtc-services.html#sect.sip-server">11.8.3. Servidor Proxy SIP</a></span></dt><dt><span class="section"><a href="sect.rtc-services.html#sect.xmpp-server">11.8.4. Servidor XMPP</a></span></dt><dt><span class="section"><a href="sect.rtc-services.html#sect.rtc-port-443">11.8.5. Rodando serviços na porta 443</a></span></dt><dt><span class="section"><a href="sect.rtc-services.html#sect.rtc-webrtc">11.8.6. Adicionando WebRTC</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="advanced-administration.html">12. Administração Avançada</a></span></dt><dd><dl><dt><span class="section"><a href="advanced-administration.html#sect.raid-and-lvm">12.1. RAID e LVM</a></span></dt><dd><dl><dt><span class="section"><a href="advanced-administration.html#sect.raid-soft">12.1.1. RAID Por Software</a></span></dt><dt><span class="section"><a href="advanced-administration.html#sect.lvm">12.1.2. LVM</a></span></dt><dt><span class="section"><a href="advanced-administration.html#sect.raid-or-lvm">12.1.3. RAID ou LVM?</a></span></dt></dl></dd><dt><span class="section"><a href="sect.virtualization.html">12.2. Virtualização</a></span></dt><dd><dl><dt><span class="section"><a href="sect.virtualization.html#sect.xen">12.2.1. Xen</a></span></dt><dt><span class="section"><a href="sect.virtualization.html#sect.lxc">12.2.2. LXC</a></span></dt><dt><span class="section"><a href="sect.virtualization.html#id-1.15.5.15">12.2.3. Virtualização com KVM</a></span></dt></dl></dd><dt><span class="section"><a href="sect.automated-installation.html">12.3. Instalação Automatizada</a></span></dt><dd><dl><dt><span class="section"><a href="sect.automated-installation.html#sect.fai">12.3.1. Instalador Completamente Automático (FAI)</a></span></dt><dt><span class="section"><a href="sect.automated-installation.html#sect.d-i-preseeding">12.3.2. Preseeding Debian-Installer</a></span></dt><dt><span class="section"><a href="sect.automated-installation.html#sect.simple-cdd">12.3.3. Simple-CDD: A Solução Tudo-Em-Um</a></span></dt></dl></dd><dt><span class="section"><a href="sect.monitoring.html">12.4. Monitoramento</a></span></dt><dd><dl><dt><span class="section"><a href="sect.monitoring.html#sect.munin">12.4.1. Configurando o Munin</a></span></dt><dt><span class="section"><a href="sect.monitoring.html#sect.nagios">12.4.2. Configurando o Nagios</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="workstation.html">13. Estação de trabalho</a></span></dt><dd><dl><dt><span class="section"><a href="workstation.html#sect.x11-server-configuration">13.1. Configurando o servidor X11</a></span></dt><dt><span class="section"><a href="sect.customizing-graphical-interface.html">13.2. Customizando a Interface Gráfica</a></span></dt><dd><dl><dt><span class="section"><a href="sect.customizing-graphical-interface.html#id-1.16.5.2">13.2.1. Escolhendo um Gerenciador de Exibição</a></span></dt><dt><span class="section"><a href="sect.customizing-graphical-interface.html#id-1.16.5.3">13.2.2. Escolhendo um Gerenciador de Janelas</a></span></dt><dt><span class="section"><a href="sect.customizing-graphical-interface.html#id-1.16.5.4">13.2.3. Gerenciamento de Menu</a></span></dt></dl></dd><dt><span class="section"><a href="sect.graphical-desktops.html">13.3. Ambientes Gráficos</a></span></dt><dd><dl><dt><span class="section"><a href="sect.graphical-desktops.html#sect.gnome-desktop">13.3.1. GNOME</a></span></dt><dt><span class="section"><a href="sect.graphical-desktops.html#id-1.16.6.13">13.3.2. KDE and Plasma</a></span></dt><dt><span class="section"><a href="sect.graphical-desktops.html#id-1.16.6.14">13.3.3. Xfce e Outros</a></span></dt><dt><span class="section"><a href="sect.graphical-desktops.html#id-1.16.6.15">13.3.4. Other Desktop Environments</a></span></dt></dl></dd><dt><span class="section"><a href="sect.main-desktop-tools.html">13.4. Email</a></span></dt><dd><dl><dt><span class="section"><a href="sect.main-desktop-tools.html#id-1.16.7.3">13.4.1. Evolution</a></span></dt><dt><span class="section"><a href="sect.main-desktop-tools.html#id-1.16.7.4">13.4.2. KMail</a></span></dt><dt><span class="section"><a href="sect.main-desktop-tools.html#id-1.16.7.5">13.4.3. Thunderbird</a></span></dt></dl></dd><dt><span class="section"><a href="sect.web-browsers.html">13.5. Navegadores Web</a></span></dt><dt><span class="section"><a href="sect.development.html">13.6. Desenvolvimento</a></span></dt><dd><dl><dt><span class="section"><a href="sect.development.html#id-1.16.9.2">13.6.1. Ferramentas para GTK+ no GNOME</a></span></dt><dt><span class="section"><a href="sect.development.html#id-1.16.9.3">13.6.2. Tools for Qt</a></span></dt></dl></dd><dt><span class="section"><a href="sect.collaborative-work.html">13.7. Trabalho Colaborativo</a></span></dt><dd><dl><dt><span class="section"><a href="sect.collaborative-work.html#id-1.16.10.3">13.7.1. Trabalhando em Grupo: <span class="foreignphrase"><em class="foreignphrase">groupware</em></span></a></span></dt><dt><span class="section"><a href="sect.collaborative-work.html#id-1.16.10.4">13.7.2. Trabalho Colaborativo Com FusionForge</a></span></dt></dl></dd><dt><span class="section"><a href="sect.office-suites.html">13.8. Suítes de Escritório</a></span></dt><dt><span class="section"><a href="sect.windows-emulation.html">13.9. Emulando o Windows: Wine</a></span></dt><dt><span class="section"><a href="sect.rtc-clients.html">13.10. Softwares de Comunicação em Tempo Real</a></span></dt></dl></dd><dt><span class="chapter"><a href="security.html">14. Segurança</a></span></dt><dd><dl><dt><span class="section"><a href="security.html#sect.defining-security-policy">14.1. Definindo uma Política de Segurança</a></span></dt><dt><span class="section"><a href="sect.firewall-packet-filtering.html">14.2. Firewall ou Filtragem de pacotes</a></span></dt><dd><dl><dt><span class="section"><a href="sect.firewall-packet-filtering.html#sect.netfilter">14.2.1. nftables Behavior</a></span></dt><dt><span class="section"><a href="sect.firewall-packet-filtering.html#id-1.17.5.13">14.2.2. Moving from iptables to nftables</a></span></dt><dt><span class="section"><a href="sect.firewall-packet-filtering.html#sect.nftables">14.2.3. Syntax of <code class="command">nft</code></a></span></dt><dt><span class="section"><a href="sect.firewall-packet-filtering.html#sect.install-rules-at-boot">14.2.4. Instalando as Regras em Cada Inicialização</a></span></dt></dl></dd><dt><span class="section"><a href="sect.supervision.html">14.3. Supervisão: Prevenção, Detecção, Desencorajamento</a></span></dt><dd><dl><dt><span class="section"><a href="sect.supervision.html#sect.logcheck">14.3.1. Monitoramento de Logs com <code class="command">logcheck</code></a></span></dt><dt><span class="section"><a href="sect.supervision.html#sect.monitoring-activity">14.3.2. Monitorando Atividades</a></span></dt><dt><span class="section"><a href="sect.supervision.html#id-1.17.6.6">14.3.3. Avoiding Intrusion</a></span></dt><dt><span class="section"><a href="sect.supervision.html#id-1.17.6.7">14.3.4. Detectando Modificações</a></span></dt><dt><span class="section"><a href="sect.supervision.html#sect.intrusion-detection">14.3.5. Detectando Intrusões (IDS/NIDS)</a></span></dt></dl></dd><dt><span class="section"><a href="sect.apparmor.html">14.4. Introdução ao AppArmor</a></span></dt><dd><dl><dt><span class="section"><a href="sect.apparmor.html#sect.apparmor-principles">14.4.1. Princípios</a></span></dt><dt><span class="section"><a href="sect.apparmor.html#sect.apparmor-setup">14.4.2. Habilitando o AppArmor e gerenciando os perfis AppArmor</a></span></dt><dt><span class="section"><a href="sect.apparmor.html#sect.apparmor-new-profile">14.4.3. Criando um novo perfil</a></span></dt></dl></dd><dt><span class="section"><a href="sect.selinux.html">14.5. Introdução ao SELinux</a></span></dt><dd><dl><dt><span class="section"><a href="sect.selinux.html#sect.selinux-principles">14.5.1. Princípios</a></span></dt><dt><span class="section"><a href="sect.selinux.html#sect.selinux-setup">14.5.2. Configurando o SELinux</a></span></dt><dt><span class="section"><a href="sect.selinux.html#sect.selinux-management">14.5.3. Gerenciando um Sistema SELinux</a></span></dt><dt><span class="section"><a href="sect.selinux.html#sect.selinux-custom-rules">14.5.4. Adaptando as Regras</a></span></dt></dl></dd><dt><span class="section"><a href="sect.other-security-considerations.html">14.6. Outras Consideracoes Relacionadas a Seguranca</a></span></dt><dd><dl><dt><span class="section"><a href="sect.other-security-considerations.html#id-1.17.9.3">14.6.1. Riscos Inerentes a Aplicações Web</a></span></dt><dt><span class="section"><a href="sect.other-security-considerations.html#id-1.17.9.4">14.6.2. Sabendo O Que Esperar</a></span></dt><dt><span class="section"><a href="sect.other-security-considerations.html#sect.choosing-the-software-wisely">14.6.3. Escolhendo o Software Sabiamente</a></span></dt><dt><span class="section"><a href="sect.other-security-considerations.html#sect.managing-a-machine-as-a-whole">14.6.4. Gerenciando uma Máquina como um Todo</a></span></dt><dt><span class="section"><a href="sect.other-security-considerations.html#sect.users-are-players">14.6.5. Os Usuários São Jogadores</a></span></dt><dt><span class="section"><a href="sect.other-security-considerations.html#sect.physical-security">14.6.6. Seguranca Fisica</a></span></dt><dt><span class="section"><a href="sect.other-security-considerations.html#id-1.17.9.9">14.6.7. Responsabilidade legal</a></span></dt></dl></dd><dt><span class="section"><a href="sect.dealing-with-compromised-machine.html">14.7. Lidando com uma máquina comprometida</a></span></dt><dd><dl><dt><span class="section"><a href="sect.dealing-with-compromised-machine.html#id-1.17.10.3">14.7.1. Detectando e Visualizando a Intrusão do cracker</a></span></dt><dt><span class="section"><a href="sect.dealing-with-compromised-machine.html#id-1.17.10.4">14.7.2. Colocando o servidor Off-Line</a></span></dt><dt><span class="section"><a href="sect.dealing-with-compromised-machine.html#sect.keeping-everything-that-could-be-used-as-evidence">14.7.3. Mantendo Tudo que Poderia Ser Usado como Evidência</a></span></dt><dt><span class="section"><a href="sect.dealing-with-compromised-machine.html#id-1.17.10.6">14.7.4. Reinstalando</a></span></dt><dt><span class="section"><a href="sect.dealing-with-compromised-machine.html#sect.forensic-analysis">14.7.5. Analise Fonrense</a></span></dt><dt><span class="section"><a href="sect.dealing-with-compromised-machine.html#sect.reconstituting-the-attack-scenario">14.7.6. Reconstituindo o Cenário do Ataque</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="debian-packaging.html">15. Criando um Pacote Debian</a></span></dt><dd><dl><dt><span class="section"><a href="debian-packaging.html#sect.rebuilding-package">15.1. Reconstruindo um Pacote a partir de suas Fontes</a></span></dt><dd><dl><dt><span class="section"><a href="debian-packaging.html#id-1.18.4.3">15.1.1. Pegando os Fontes</a></span></dt><dt><span class="section"><a href="debian-packaging.html#id-1.18.4.4">15.1.2. Fazendo Alterações</a></span></dt><dt><span class="section"><a href="debian-packaging.html#id-1.18.4.5">15.1.3. Começando a Reconstrução</a></span></dt></dl></dd><dt><span class="section"><a href="sect.building-first-package.html">15.2. Construindo seu Primeiro Pacote</a></span></dt><dd><dl><dt><span class="section"><a href="sect.building-first-package.html#id-1.18.5.2">15.2.1. Meta-pacotes ou Falsos Pacotes</a></span></dt><dt><span class="section"><a href="sect.building-first-package.html#id-1.18.5.3">15.2.2. Depósito Simples de Arquivos</a></span></dt></dl></dd><dt><span class="section"><a href="sect.setup-apt-package-repository.html">15.3. Criando um Repositório de Pacotes para o APT</a></span></dt><dt><span class="section"><a href="sect.becoming-package-maintainer.html">15.4. Tornando-se um Mantenedor de Pacotes</a></span></dt><dd><dl><dt><span class="section"><a href="sect.becoming-package-maintainer.html#id-1.18.7.2">15.4.1. Aprendendo a Fazer Pacotes</a></span></dt><dt><span class="section"><a href="sect.becoming-package-maintainer.html#id-1.18.7.3">15.4.2. Processo de Aceitação</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="conclusion.html">16. Conclusão: O Futuro do Debian</a></span></dt><dd><dl><dt><span class="section"><a href="conclusion.html#sect.upcoming-developments">16.1. Desenvolvimentos futuros</a></span></dt><dt><span class="section"><a href="sect.future-of-debian.html">16.2. Futuro do Debian</a></span></dt><dt><span class="section"><a href="sect.future-of-this-book.html">16.3. O Futuro deste Livro</a></span></dt></dl></dd><dt><span class="appendix"><a href="derivative-distributions.html">A. Distribuições Derivadas</a></span></dt><dd><dl><dt><span class="section"><a href="derivative-distributions.html#sect.derivative-census">A.1. Censo e Cooperação</a></span></dt><dt><span class="section"><a href="sect.ubuntu.html">A.2. Ubuntu</a></span></dt><dt><span class="section"><a href="sect.linux-mint.html">A.3. Linux Mint</a></span></dt><dt><span class="section"><a href="sect.knoppix.html">A.4. Knoppix</a></span></dt><dt><span class="section"><a href="sect.aptosid.html">A.5. Aptosid e Siduction</a></span></dt><dt><span class="section"><a href="sect.grml.html">A.6. Grml</a></span></dt><dt><span class="section"><a href="sect.tails.html">A.7. Tails</a></span></dt><dt><span class="section"><a href="sect.kali.html">A.8. Kali Linux</a></span></dt><dt><span class="section"><a href="sect.devuan.html">A.9. Devuan</a></span></dt><dt><span class="section"><a href="sect.doudoulinux.html">A.10. DoudouLinux</a></span></dt><dt><span class="section"><a href="sect.raspbian.html">A.11. Raspbian</a></span></dt><dt><span class="section"><a href="sect.pureos.html">A.12. PureOS</a></span></dt><dt><span class="section"><a href="sect.steamos.html">A.13. SteamOS</a></span></dt><dt><span class="section"><a href="sect.other-derivatives.html">A.14. E Muito Mais</a></span></dt></dl></dd><dt><span class="appendix"><a href="short-remedial-course.html">B. Curso Rápido de Reparação</a></span></dt><dd><dl><dt><span class="section"><a href="short-remedial-course.html#sect.shell-and-basic-commands">B.1. Shell e Comandos Básicos</a></span></dt><dd><dl><dt><span class="section"><a href="short-remedial-course.html#id-1.21.4.5">B.1.1. Navegando na Árvore de Diretórios e Gerenciando Arquivos</a></span></dt><dt><span class="section"><a href="short-remedial-course.html#id-1.21.4.6">B.1.2. Mostrando e Modificando Arquivos Texto</a></span></dt><dt><span class="section"><a href="short-remedial-course.html#id-1.21.4.7">B.1.3. Procurando por e nos Arquivos</a></span></dt><dt><span class="section"><a href="short-remedial-course.html#id-1.21.4.8">B.1.4. Gerenciamento de Processos</a></span></dt><dt><span class="section"><a href="short-remedial-course.html#id-1.21.4.9">B.1.5. Informações do Sistema: Memória, Espaço em Disco, Identidade</a></span></dt></dl></dd><dt><span class="section"><a href="sect.filesystem-hierarchy.html">B.2. Organização da Hierarquia de Sistema de Arquivos</a></span></dt><dd><dl><dt><span class="section"><a href="sect.filesystem-hierarchy.html#id-1.21.5.3">B.2.1. O Diretório Raiz</a></span></dt><dt><span class="section"><a href="sect.filesystem-hierarchy.html#id-1.21.5.4">B.2.2. O Diretório Origem (home) do Usuário</a></span></dt></dl></dd><dt><span class="section"><a href="sect.computer-layers.html">B.3. Funcionamento Interno de um Computador: As Diferentes Camadas Envolvidas</a></span></dt><dd><dl><dt><span class="section"><a href="sect.computer-layers.html#sect.hardware">B.3.1. A Camada mais Profunda: o Hardware</a></span></dt><dt><span class="section"><a href="sect.computer-layers.html#sect.bios">B.3.2. O Inicializador: a BIOS ou UEFI</a></span></dt><dt><span class="section"><a href="sect.computer-layers.html#sect.kernel">B.3.3. O Núcleo</a></span></dt><dt><span class="section"><a href="sect.computer-layers.html#sect.userspace-presentation">B.3.4. O Espaço de Usuário</a></span></dt></dl></dd><dt><span class="section"><a href="sect.kernel-role-and-tasks.html">B.4. Algumas Tarefas realizadas pelo Núcleo</a></span></dt><dd><dl><dt><span class="section"><a href="sect.kernel-role-and-tasks.html#sect.hardware-drivers">B.4.1. Controlando o Hardware</a></span></dt><dt><span class="section"><a href="sect.kernel-role-and-tasks.html#sect.filesystems">B.4.2. Sistemas de Arquivos</a></span></dt><dt><span class="section"><a href="sect.kernel-role-and-tasks.html#sect.shared-functions">B.4.3. Funções Compartilhadas</a></span></dt><dt><span class="section"><a href="sect.kernel-role-and-tasks.html#sect.process-management">B.4.4. Gerenciamento de Processos</a></span></dt><dt><span class="section"><a href="sect.kernel-role-and-tasks.html#sect.permissions">B.4.5. Gerenciamento de Direitos</a></span></dt></dl></dd><dt><span class="section"><a href="sect.user-space.html">B.5. O Espaço de Usuário</a></span></dt><dd><dl><dt><span class="section"><a href="sect.user-space.html#sect.process-basics">B.5.1. Processo</a></span></dt><dt><span class="section"><a href="sect.user-space.html#sect.daemons">B.5.2. Daemons</a></span></dt><dt><span class="section"><a href="sect.user-space.html#sect.ipc">B.5.3. Comunicação Inter Processos</a></span></dt><dt><span class="section"><a href="sect.user-space.html#sect.libraries">B.5.4. Bibliotecas</a></span></dt></dl></dd></dl></dd></dl></div></div><ul class="docnav"><li class="previous"></li><li class="next"><a accesskey="n" href="preface.html"><strong>Próxima</strong>Prefácio</a></li></ul></body></html>